Skip to main content
GET
Get the scrubbed results and data validations of an uploaded ISO application by its heron_id (prefixed "iso_")

Authorizations

x-api-key
string
header
required

Path Parameters

heron_id
string
required

Response

200 - application/json

Ok

filename
string
required

The original filename of the ISO application form

Example:

"iso_app.pdf"

heron_id
string
required

The ISO application's heron_id

Example:

"iso_6hBjQT9k6KP2rLCXwjUJff"

processing_status
enum<string>
required

The processing status of the file.

Available options:
new,
processing,
processed,
failed
Example:

"processed"

quality_status
enum<string> | null
required

The overall field validation results. 'fully_matched' indicated all field validations have passed. 'review_required' indicates one or more field validations failed.

Available options:
fully_matched,
review_required,
null
Example:

"fully_matched"

created
string<date-time>
read-only
end_user_heron_id
string
read-only

The heron_id of the end_user associated with the iso application, if available

end_user_id
string
read-only

The end_user_id of the end_user associated with the iso application, if available

field_validations
object[]
result
object

The extracted keys/values from the form, normalised to Heron's field schema. Keys will only be present in results if they are found in the original file. For a full list of fields, see the documentation.

source_email
object | null

Original email that contained ISO application, if applicable